const arg = process.argv;
const config = require('../package.json');
const logs = require('./plug-in/colorLog');
if (arg.length < 3) {
    main();
}
if(arg.length >2){
    // 字母转小写
    const fs = require('fs');
    const {work} = require('./plug-in/fk2Path');
    if(!fs.existsSync(work)){
        const init = require('./init');
        logs.r('Fk2 has not been initialized!');
        logs.blue('Fk2 began to initialize...');
        setTimeout(async() => {
            await init();
            logs.g('Initialization is complete!')
            logs.close();
            main();
        }, 800);
        return
    }
    const comm = arg[2].toLowerCase();
    if(comm=='init'){
        require('./init');
    }else if(comm=='dev'||comm=='-d'){
        // 开发服务器
        require('./dev/dev');
    }else if(comm=='-v'||comm=='-V'||comm=='-version'||comm=='-Version'){
        console.log(config.version);
    }else if(comm=='run'||comm=='start'){
        // 开启fk2集群
        require('./run/cluster');
    }else if(comm=='kill'||comm=='-k'){
        if(!arg[3]){
            console.log('Command not found!')
        }else{
            require('./exit/exit');
        }
    }else if(comm=='list'||comm=='ls'){
        require('./list/list');
    }else if(comm=='set'){
        require('./set/set');
    }else if(comm=='add'){
        require('./add/add');
    }else{
        console.log('Command not found!')
    }
}
function main() {
    console.log('\r');
    logs.skyBlue(' usage: fk2 [options] <command> \n');
    logs.p(" fk2 init                      Initialization of fk2!\r");
    logs.p(" fk2 run                       Open fk2 Nodejs cluster !");
    logs.p(" fk2 set                       Set the work allocation !\r");
    logs.p(" fk2 -v / version                      Get the fk2 version !\r");    
    logs.p(" fk2 dev / dev <port>          Open development environment !\n");
    logs.skyBlue(" <arg>                         ['devHost','devOpen']");
    logs.skyBlue(" <port>                        The default port is '443'!");
    logs.skyBlue(' <version>                     '+config.version);
    logs.close();
}